Bug 1028234 - [abrt] shotwell-0.14.1-1.fc19.1: timed_queue_element_comparator: Process /usr/bin/shotwell was killed by signal 11 (SIGSEGV)
[abrt] shotwell-0.14.1-1.fc19.1: timed_queue_element_comparator: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1af63a7968fac1a2a2fb30021b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 18:47 EST by oliver
Modified: 2015-02-17 14:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.67 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: core_backtrace (66.82 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: dso_list (12.88 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: environ (2.05 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: maps (69.86 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: open_fds (1.35 KB, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details
File: var_log_messages (316 bytes, text/plain)
2013-11-07 18:47 EST, oliver
no flags Details

  None (edit)
Description oliver 2013-11-07 18:47:14 EST
Description of problem:
Importing a large collection of images (more than 1000) at once, crash happened toward the end.

Version-Release number of selected component:
shotwell-0.14.1-1.fc19.1

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        shotwell
crash_function: timed_queue_element_comparator
executable:     /usr/bin/shotwell
kernel:         3.11.6-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 timed_queue_element_comparator at /usr/src/debug/shotwell-0.14.1/src/TimedQueue.vala:32
 #1 _timed_queue_element_comparator_comparator at src/TimedQueue.c:240
 #2 sorted_list_get_sorted_insert_pos at /usr/src/debug/shotwell-0.14.1/src/SortedList.vala:285
 #3 sorted_list_real_add at /usr/src/debug/shotwell-0.14.1/src/SortedList.vala:46
 #4 timed_queue_real_enqueue at /usr/src/debug/shotwell-0.14.1/src/TimedQueue.vala:131
 #5 hash_timed_queue_real_enqueue at /usr/src/debug/shotwell-0.14.1/src/TimedQueue.vala:236
 #6 library_monitor_unblacklist_file at /usr/src/debug/shotwell-0.14.1/src/LibraryMonitor.vala:737
 #7 library_files_duplicate at /usr/src/debug/shotwell-0.14.1/src/LibraryFiles.vala:85
 #8 prepared_file_import_job_real_execute at /usr/src/debug/shotwell-0.14.1/src/BatchImport.vala:1889
 #9 workers_thread_start at /usr/src/debug/shotwell-0.14.1/src/threads/Workers.vala:94

Potential duplicate: bug 833236
Comment 1 oliver 2013-11-07 18:47:23 EST
Created attachment 821336 [details]
File: backtrace
Comment 2 oliver 2013-11-07 18:47:26 EST
Created attachment 821337 [details]
File: cgroup
Comment 3 oliver 2013-11-07 18:47:30 EST
Created attachment 821338 [details]
File: core_backtrace
Comment 4 oliver 2013-11-07 18:47:33 EST
Created attachment 821339 [details]
File: dso_list
Comment 5 oliver 2013-11-07 18:47:37 EST
Created attachment 821340 [details]
File: environ
Comment 6 oliver 2013-11-07 18:47:40 EST
Created attachment 821341 [details]
File: exploitable
Comment 7 oliver 2013-11-07 18:47:45 EST
Created attachment 821342 [details]
File: limits
Comment 8 oliver 2013-11-07 18:47:48 EST
Created attachment 821343 [details]
File: maps
Comment 9 oliver 2013-11-07 18:47:52 EST
Created attachment 821344 [details]
File: open_fds
Comment 10 oliver 2013-11-07 18:47:55 EST
Created attachment 821345 [details]
File: proc_pid_status
Comment 11 oliver 2013-11-07 18:47:58 EST
Created attachment 821346 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:31:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:08:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.